Implementation of the 'container' type markup element. The container markup element is always the top element of each process step.

A div HTML element is created and the class lto-container is added to allow CSS manipulations. Additionally, if the rendered markup elements contains the class lto-suggestions a suggestion element is crated.

see

  Suggestion

see

  IRenderable

### Hierarchy

- Container

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Container(message: ISpecification): Container

- - Defined in lib/renderable/container/index.ts:19

  #### Parameters

  - ##### message: ISpecification

  #### Returns Container

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/container/index.ts:19

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/container/index.ts:28

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc